> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dataset Tag

> Creates tags for the specified dataset



## OpenAPI

````yaml /openapi/product/data-sets.yaml post /api/data/ui/v3/datasources/{datasetId}/tags
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/ui/v3/datasources/{datasetId}/tags:
    post:
      tags:
        - Datasets API
      summary: Create Dataset Tag
      description: Creates tags for the specified dataset
      parameters:
        - name: datasetId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagArray'
            example:
              - tag1
              - tag2
      responses:
        '200':
          description: Tags created successfully
      x-codeSamples:
        - lang: HTTP
          source: |
            POST /api/data/ui/v3/datasources/{datasetId}/tags HTTP/1.1
            Host: {instance}.domo.com
            X-DOMO-Developer-Token: {token}
            Content-Type: application/json

            ["tag1", "tag2"]
components:
  schemas:
    TagArray:
      type: array
      items:
        type: string
      example:
        - tag1
        - tag2
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````